 jQuery(function()
 {

 	jQuery('.colorbox').colorbox({
     scalePhotos: true,
     maxWidth: '70%',
     maxHeight:"70%"
	});



 	/* Gunes Etki Zamani Hesaplama */
	 jQuery('.gunes-etki-hesaplama #sehir').on('change', function() {
	   if(this.value == "diger") {
		   jQuery(".gunes-etki-hesaplama #enlem-boylam-wrapper").show();
	   } else {
		   jQuery(".gunes-etki-hesaplama #enlem-boylam-wrapper").hide();
	   }

	 });

	 jQuery("input:radio[name=updown]").click(function() {

		if(this.value == "up") {
			jQuery(".gunes-etki-hesaplama #uplink-wrapper").show();
			jQuery(".gunes-etki-hesaplama #downlink-wrapper").hide();
		} else {
			jQuery(".gunes-etki-hesaplama #uplink-wrapper").hide();
			jQuery(".gunes-etki-hesaplama #downlink-wrapper").show();
		}


	 });

 	/* Gunes Etki Zamani Hesaplama */

 	/* Mega Menu */
 	jQuery.fn.mouseIsOver = function (b)
 	{
		var ContainerHeight	=jQuery(".container").height();
		var BlockHeight 	=jQuery(".mega-menu .block").height();
		var SumHeight		=ContainerHeight+BlockHeight;
		var Mouse			=window.event.clientY;

		if(Mouse>ContainerHeight && Mouse<SumHeight){
			return false;
		} else {
			return true;
		}
	};

	var isOpened = false;
	var timeCoder = null;

 	jQuery("#header .block:not(.p338) .menu li a").hover(function() {
 	    var Explode=jQuery(this).parent("li").removeClass("first").removeClass("active-trail").removeClass("active").attr("class").split(" ")[4].split("-");
 	    clearTimeout(timeCoder);

 	    if (isOpened==true) {
 			var RemoveExplode=jQuery(".actives").attr("class").split(" ");
 	        jQuery(".mega-menu div[data-bid]").fadeOut('fast');
			jQuery(".actives").removeClass(RemoveExplode[0]);
			jQuery(".actives").removeClass("actives");
            jQuery(".mega-menu .block .k"+Explode[1]).parents('div[data-bid]').fadeIn('fast', function() {
                jQuery('.mega-menu').addClass('open').stop().animate({height:jQuery(".mega-menu .block .k"+Explode[1]).outerHeight()}, 800);
            });
 	    } else {
            isOpened = true;
 	        jQuery(".mega-menu .block .k"+Explode[1]).parents('div[data-bid]').fadeIn('fast');
            jQuery('.mega-menu').addClass('open').stop().animate({height:jQuery(".mega-menu .block .k"+Explode[1]).outerHeight()}, 800);
 	    }
		jQuery(this).addClass("m"+Explode[1]);
		jQuery(this).addClass("actives");
		jQuery(".EngelliYazi").addClass("stickyengelli");
		jQuery(".SocialMenu").addClass("stickysocial");
 	}, function() {
 	    var Explode=jQuery(this).parent("li").attr("class").split(" ")[4].split("-");
 	    clearTimeout(timeCoder);
 	    timeCoder = setTimeout(function() {
 	        jQuery('.mega-menu').stop().animate({height:0}, 800, function() {
 	            jQuery(this).removeClass('open');
     	        jQuery(".mega-menu div[data-bid]").hide();
				jQuery("#header .menu li a").removeClass("m"+Explode[1]);
				jQuery("#header .menu li a").removeClass("actives");
				jQuery(".stickyengelli").removeClass("stickyengelli");
				jQuery(".stickysocial").removeClass("stickysocial");
 	        });
 	        isOpened = false;
 	    }, 200);
	  }
  	)


 	jQuery(".mega-menu .block").hover(function(){
        clearTimeout(timeCoder);
 	}, function() {
 		var Explode=jQuery(".actives").attr("class").split(" ");
 	    clearTimeout(timeCoder);
		timeCoder = setTimeout(function() {
            jQuery('.mega-menu').stop().animate({height:0}, 800, function() {
                jQuery(this).removeClass('open');
                jQuery(".mega-menu div[data-bid]").hide();
				jQuery("#header .menu li a").removeClass(Explode[0]);
				jQuery("#header .menu li a").removeClass("actives");
				jQuery(".stickyengelli").removeClass("stickyengelli");
				jQuery(".stickysocial").removeClass("stickysocial");
            });
            isOpened = false;
		 }, 400);
 	})
 	/* Mega Menu  Sonu*/

 	/*sticky Menu*/
 	var stickyNavTop = jQuery('#header').offset().top;

	var stickyNav = function(){
	var scrollTop = jQuery(window).scrollTop();

	if (scrollTop > stickyNavTop) {
	    jQuery('#header').addClass('sticky');
	    jQuery('.mega-menu').addClass('stickyMega');
	} else {
	    jQuery('#header').removeClass('sticky');
	    jQuery('.mega-menu').removeClass('stickyMega');
	}
	};

	stickyNav();

	jQuery(window).scroll(function() {
	    stickyNav();
	});
 	/* sticky menu sonu*/




	 /* ENGELLİ AYARLARI*/
	jQuery(".YaziArtir").click(function(){
		 var currentFontSize = jQuery('body #content-area').css('font-size');
		 var currentFontSize2 = jQuery('body #content-area p').css('font-size');
		 var currentFontSize3 = jQuery('body #content-area a').css('font-size');
		 var currentFontSizeNum = parseFloat(currentFontSize, 10);
		 var currentFontSizeNum2 = parseFloat(currentFontSize2, 10);
		 var currentFontSizeNum3 = parseFloat(currentFontSize3, 10);
		 var newFontSize = currentFontSizeNum*1.2;
		 var newFontSize2 = currentFontSizeNum2*1.2;
		 var newFontSize3 = currentFontSizeNum3*1.2;
		 jQuery('body #content-area').css('font-size', newFontSize);
		 jQuery('body #content-area p').css('font-size', newFontSize2);
		 jQuery('body #content-area a').css('font-size', newFontSize3);
		 return false;
	});
	jQuery(".YaziAzalt").click(function(){
		  var currentFontSize = jQuery('body #content-area').css('font-size');
		  var currentFontSize2 = jQuery('body #content-area p').css('font-size');
		  var currentFontSize3 = jQuery('body #content-area a').css('font-size');
		  var currentFontSizeNum = parseFloat(currentFontSize, 10);
		  var currentFontSizeNum2 = parseFloat(currentFontSize2, 10);
		  var currentFontSizeNum3 = parseFloat(currentFontSize3, 10);
		  var newFontSize = currentFontSizeNum*0.8;
		  var newFontSize2 = currentFontSizeNum2*0.8;
		  var newFontSize3 = currentFontSizeNum3*0.8;
		 jQuery('body #content-area').css('font-size', newFontSize);
		 jQuery('body #content-area p').css('font-size', newFontSize2);
		 jQuery('body #content-area a').css('font-size', newFontSize3);
		  return false;
	});
/* ENGELLİ AYARLARI SONU */

	if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) && jQuery(window).width()<992) {
	/* MOBİL SERVİSLER */
	      jQuery(".in").prev().addClass("ActivePanel");
	      jQuery(".panel-title a").click(function(){
	      	jQuery(".panel-heading").removeClass("ActivePanel");
	      	jQuery(this).closest(".panel-heading").addClass("ActivePanel");

	      })
	/* MOBİL SERVİSLER SONU*/

		/* MOBİL ARAMA FORMU */
		jQuery("#edit-search-block-form--2").focus(function(){
			jQuery(this).closest(".container-inline").animate({width: '150px'});
		})
		jQuery("#edit-search-block-form--2").focusout(function(){
			jQuery(this).val("");
			jQuery(this).closest(".container-inline").animate({width: '35px'});
		})
		/* MOBİL ARAMA FORMU SONU */
	 }



 	/* LİNKTEN AÇILAN NAVTABS*/
	var url 	=window.location.href;
	if(url.indexOf('#') != -1){

		var Dizi	=url.split("#");
		if(Dizi[1].length){
			if(jQuery("#"+Dizi[1]).length){
				jQuery(".sayfa-sekme > .tab-content>.tab-pane").removeClass("active");
				jQuery("#services  .tab-content .tab-pane").removeClass("active");
				jQuery("#"+Dizi[1]).addClass("active");
				jQuery(".nav-tabs li").removeClass("active");
				jQuery("[href=#"+Dizi[1]+"]").parent().addClass("active");

			}
		}
	}

 	 /* sosyal medya iconları*/
 	jQuery(".SocialMenu div").hover(function(){
 		jQuery(this).animate({marginRight: "0px"});
 	},function(){
 		jQuery(this).animate({marginRight: "-80px"});

 	})
 	 /* sosyal medya iconları sonu*/
	if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)==false ) {

	  jQuery('.nav-tabs a').click(function (e) {
	    /*document.location.hash = this.hash;
	    //jQuery(location).attr('href',this.hash);
  		jQuery(this).tab('show');
    	return false;*/
	  });



	 }else{
	 	jQuery(".SocialMenu").css("display","none");
	 }
 	/* LİNKTEN AÇILAN NAVTABS SONU*/


 	/* İE8 SERVİCES BLOCK */
 	var ua = window.navigator.userAgent;
	var msie = ua.indexOf("MSIE ");

	if (msie > 0 || !!navigator.userAgent.match(/Trident.*rv\:11\./))  {
		jQuery("#services-wrapper .ServicesBlock").hover(function(){
			var Adres=jQuery(this).find("img").attr("src").split(".");
			jQuery(this).find("img").attr("src",Adres[0]+"_1."+Adres[1]).css("filter","inherit");
		},function(){
			var Adres=jQuery(this).find("img").attr("src").split("_");
			var Adres2=Adres[1].split(".");
			jQuery(this).find("img").attr("src",Adres[0]+"."+Adres2[1]).css("filter","inherit");

		})

	}
 	/* İE8 SERVİCES BLOCK SONU */

 	/* IE 8 */
 	if(window.navigator.userAgent.indexOf("MSIE 8.0")>0){
		jQuery("body").addClass("Ie8");

 	}else{
		jQuery("body").addClass("not_ie8");

	}

 	/* IE 8 */


  });
